%define name    frozen-bubble
%define version 2.1.0
%define release %mkrel 2
%define title       Frozen Bubble
%define longtitle   Frozen Bubble arcade game

# TODO 
#  server package, with initscript, for people wanting to have a complete
#   server
#  zeroconf integration, with this initscript ( and in konqueror )
Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Frozen Bubble arcade game
License:        GPL
Group:          Games/Arcade
URL:            http://www.frozen-bubble.org/
Source:         http://www.frozen-bubble.org/data/%{name}-%{version}.tar.bz2
Requires:       perl-SDL >= 1.18
Requires:       %{name}-server-common
BuildRequires:  libSDL_mixer-devel >= 1.2.2
BuildRequires:  libsmpeg-devel
BuildRequires:  perl-SDL
BuildRequires:  perl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:  libSDL_mixer-devel >= 1.2.2 
BuildRequires:  SDL_Pango-devel 
BuildRequires:  glib2-devel

%description
Colorful 3D rendered penguin animations, 100 levels of 1p game,
hours and hours of 2p game, nights and nights of 2p/3p/4p/5p game
over LAN or Internet, a level-editor, 3 professional quality
digital soundtracks, 15 stereo sound effects, 8 unique graphical
transition effects, 8 unique logo eye-candies.


%package server-common
Summary: Frozen bubble server, used for multiplayer game
Group: Games/Arcade
Conflicts: %name < 2.1


%description server-common
This package only contains the server of Frozen bubble, for people
wanting to host a multiplayer server on their computer without installing
the whole game. If you wish to play, install frozen-bubble.

%prep
%setup -q

%build
make OPTIMIZE="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS `pkg-config glib-2.0 --cflags`" LIBS="`pkg-config glib-2.0 --libs`" LIBDIR=%{_libdir} DATADIR=%{_gamesdatadir} INSTALLDIRS=vendor

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} DATADIR=%{_gamesdatadir} BINDIR=%{_gamesbindir} MANDIR=%{_mandir} LOCALEDIR=%{_datadir}/locale
rm -f %{buildroot}/%{_gamesdatadir}/frozen-bubble/gfx/shoot/create.pl

mkdir -p %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(%{name}): \
    command="%{_gamesbindir}/frozen-bubble" \
    icon="%{name}.png" \
    needs="X11" \
    section="Amusement/Arcade" \
    title="%{title}" \
    longtitle="%{longtitle}" \
    xdg="true"
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=false
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

install -m 644 icons/frozen-bubble-icon-16x16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 icons/frozen-bubble-icon-32x32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 icons/frozen-bubble-icon-48x48.png -D %{buildroot}%{_liconsdir}/%{name}.png
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}



%files  server-common 
%defattr(-, root, root)
%{_libdir}/%{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING AUTHORS NEWS TIPS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/*.pm
%{_mandir}/*/*
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Fri Dec 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-2mdv2007.0
+ Revision: 89694
- release
- fix upgrade (#27435)

* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.1.0-1mdv2007.1
+ Revision: 87021
- new release
- new source URL
- fix source url

  + Michael Scherer <misc@mandriva.org>
    - split server from main package, to host a server without pulling the whole set of deps

* Wed Nov 01 2006 Michael Scherer <misc@mandriva.org> 2.0.0-1mdv2007.1
+ Revision: 74955
- version 2.0, specfile merged from upstream with mandriva one
- fix bug #7778
- Import frozen-bubble



* Sun Sep 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.0-11mdv2007.0
- Really migrate to xdg menu

* Thu Jul 27 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.0-10mdv2007.0
- xdg menu
- spec cleanup

* Mon Mar 27 2006 Pixel <pixel@mandriva.com> 1.0.0-9mdk
- fix "make install" using DESTDIR
  (MakeMaker generated Makefile doesn't handle PREFIX anymore)

* Fri Dec 16 2005 Michael Scherer <misc@mandriva.org> 1.0.0-8mdk
- mkrel
- fix #20223 ( by simply rebuilding it, this is weird ).

* Mon Nov 15 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-7mdk
- Rebuild for new perl

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-6mdk
- rebuild for new perl
- change summary macro to avoid possible conflicts if we were to build debug package

* Mon Jul 28 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-5mdk
- don't package create.pl so that we don't wrongly depend on gimp-perl

* Mon Jul 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-4mdk
- rebuild to put src.rpm back 

* Mon Jul  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-3mdk
- put binaries and data in right places (#4148)

* Tue Jun 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.0-2mdk
- get rid of .xvpics files

* Sun Feb 16 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- new version

* Mon Aug  5 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-6mdk
- rebuild for threaded perl

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-5mdk
- Fix BuildRequires
- Remove NO_XALF from menu entries

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.3-4mdk
- Automated rebuild with gcc3.2

* Mon Jul 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-3mdk
- recompile against new vorbis stuff

* Tue Jul  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-2mdk
- rebuild for new perl

* Wed May 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.3-1mdk
- new version

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.2-2mdk
- set AutoProv to no to not be a "provider" for libSDL_mixer-1.2.so.0
- install icons with correct perms (thx Meles MELES <meles@free.fr>)

* Thu Feb  7 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.2-1mdk
- new version

* Wed Feb  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.1-1mdk
- first mdk rpm
